Subject: Re: [PATCH V5 1/3] t/t1517: automate `git subcmd -h` tests outside a repository

From: Junio C Hamano <[email-masked]>
Date: Sun, 03 Aug 2025 10:39:10 -0700

"D. Ben Knoble" <[email-masked]> writes:

> All fine, just leaving a note for myself ;) I didn't see any mention
> of the changed base in the cover letter, so I was confused. (Rebasing
> onto latest master makes sense to me, but I'm not sure what the list
> convention is).

Once you picked a base, usually it is a good idea to keep it, unless
making a trial merge of the resulting topic branch into 'master'
leaves conflicts that are not trivial.  And I do appreciate your
noticing and mentioning that it is recommended to have a comment in
the cover letter (or a comment after the three-dash line if a single
patch topic) that the new iteration has been based on which commit.

Thanks.